## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface OrderedTupleLiteralExp

All Superinterfaces:
  org.eclipse.ocl.utilities.ASTNode, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.ETypedElement, org.eclipse.ocl.expressions.LiteralExp<org.eclipse.emf.ecore.EClassifier>, org.eclipse.emf.common.notify.Notifier, org.eclipse.ocl.expressions.OCLExpression<org.eclipse.emf.ecore.EClassifier>, org.eclipse.ocl.utilities.TypedElement<org.eclipse.emf.ecore.EClassifier>, org.eclipse.ocl.utilities.Visitable

All Known Implementing Classes:
  OrderedTupleLiteralExpImpl

    public interface OrderedTupleLiteralExp

extends org.eclipse.ocl.ecore.LiteralExp

A representation of the model object 'Ordered Tuple Literal Exp'.

The following features are supported:

- `Part`

See Also:
  `ImperativeOCLPackage.getOrderedTupleLiteralExp()`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.ETypedElement
`UNBOUNDED_MULTIPLICITY, UNSPECIFIED_MULTIPLICITY`

Method Summary
`org.eclipse.emf.common.util.EList<OrderedTupleLiteralPart>` `getPart()` Returns the value of the 'Part' containment reference list.

Methods inherited from interface org.eclipse.emf.ecore.ETypedElement
`getEGenericType, getEType, getLowerBound, getUpperBound, isMany, isOrdered, isRequired, isUnique, setEGenericType, setEType, setLowerBound, setOrdered, setUnique, setUpperBound`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Method Detail

### getPart

    org.eclipse.emf.common.util.EList<OrderedTupleLiteralPart> getPart()

  Returns the value of the 'Part' containment reference list. The list contents are of type `OrderedTupleLiteralPart`.

  If the meaning of the 'Part' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Part' containment reference list.
  See Also:
    `ImperativeOCLPackage.getOrderedTupleLiteralExp_Part()`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.